Subject: bug#74442: closed (Re: bug#74442: suggestion for a kernel development add-on for emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Feb 2025 07:21:02 +0000

Your bug report

#74442: suggestion for a kernel development add-on for emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74442: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74442
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74442: suggestion for a kernel development add-on for emacs
From: Stefan Kangas <[email-masked]>
To: Jon Maser <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Feb 2025 23:20:39 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> tags 74442 + moreinfo
> thanks
>
> Jon Maser <[email-masked]> writes:
>
>> you can write stuff for the freebsd kernel or userspace, itll
>> bootstrap, compile, generate an iso or qemu image, or it can be setup
>> for a chroot or jail
>>
>> i was going to do an addon for emacs/linux/linux from scratch but i
>> have stuff to do, would like someone to write that too
>>
>> and yeah you can use company/flymake and if you write this addon
>> please release it to the public
>>
>> not trying to be a tyrant or a dictator, just suggesting things
>>
>> i suggest calling it devbox and can if needed have kernel debugging
>> features for kernel crash dump, or you can add dtrace stuff to it
>
> Kernel programming would typically be done in c-mode.
>
> Kernel debugging is done with debuggers, and we have things like gud to
> help with that.
>
> So I don't think I understand what is the feature request here.

No further comments within 6 weeks.

I'm therefore closing this bug report.

Subject: suggestion for a kernel development add-on for emacs
From: Jon Maser <[email-masked]>
To: [email-masked]
Date: Tue, 19 Nov 2024 21:35:47 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

you can write stuff for the freebsd kernel or userspace, itll
bootstrap, compile, generate an iso or qemu image, or it can be setup
for a chroot or jail

i was going to do an addon for emacs/linux/linux from scratch but i
have stuff to do, would like someone to write that too

and yeah you can use company/flymake and if you write this addon
please release it to the public

not trying to be a tyrant or a dictator, just suggesting things

i suggest calling it devbox and can if needed have kernel debugging
features for kernel crash dump, or you can add dtrace stuff to it